<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="jlr:war exploded" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="286df1c9-36cd-4219-b771-4a7f2984929b" name="Default" comment="">
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/.idea/workspace.xml" afterPath="$PROJECT_DIR$/.idea/workspace.xml" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/CasesAction.java" afterPath="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/CasesAction.java" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/src/main/webapp/page/caseDetail.jsp" afterPath="$PROJECT_DIR$/src/main/webapp/page/caseDetail.jsp" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/src/main/webapp/page/footer.jsp" afterPath="$PROJECT_DIR$/src/main/webapp/page/footer.jsp" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="caseDetail.jsp" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/webapp/page/caseDetail.jsp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="146">
              <caret line="258" column="46" lean-forward="false" selection-start-line="258" selection-start-column="37" selection-end-line="258" selection-end-column="46" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="footers.jsp" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/webapp/page/footers.jsp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-2508">
              <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="caseDetails.jsp" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/webapp/page/caseDetails.jsp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="253">
              <caret line="165" column="37" lean-forward="true" selection-start-line="159" selection-start-column="36" selection-end-line="165" selection-end-column="37" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="footer.jsp" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/webapp/page/footer.jsp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="157">
              <caret line="24" column="24" lean-forward="false" selection-start-line="24" selection-start-column="24" selection-end-line="24" selection-end-column="24" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>exportData</find>
      <find>recharge_query</find>
      <find>simple</find>
      <find>c_type</find>
      <find>rechangeExportData</find>
      <find>loginEmailBlur</find>
      <find>putSystemUser</find>
      <find>rescueState</find>
      <find>showMyInfoDialog</find>
      <find>GET_MY</find>
      <find>sendMsg</find>
      <find>consume_querys</find>
      <find>s</find>
      <find>recharges_query</find>
      <find>consume_update</find>
      <find>sou</find>
      <find>sql</find>
      <find>getObject</find>
      <find>paths</find>
      <find>update</find>
      <find>syso</find>
      <find>ajax</find>
      <find>getM</find>
      <find>eval</find>
      <find>$</find>
      <find>to</find>
      <find>tbody</find>
      <find>other</find>
      <find>unknownProblem</find>
      <find>是否修复车辆 开始</find>
    </findStrings>
    <dirStrings>
      <dir>D:\JLR\JLR-master-19f1e7b4858da9a529342c6e8625154c882ae7c4\src\main\webapp\css</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="UPDATE_TYPE" value="MERGE" />
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GradleLocalSettings">
    <option name="externalProjectsViewState">
      <projects_view />
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/impl/OrderCheckServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/OrderCheckAction.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/orderCheckAll.jsp" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/orderCheck.jsp" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/SupplierService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/impl/SupplierServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/SupplierDao.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/js/business/supplier.js" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/impl/SupplierDaoImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/SupplierAction.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/impl/OrderCheckDaoImpl.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/js/business/cases.js" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/user.jsp" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/EnterpriseService.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/js/business/enterprise.js" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/impl/EnterpriseServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/impl/EnterpriseDaoImpl.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/supplier.jsp" />
        <option value="$PROJECT_DIR$/src/main/webapp/js/business/role.js" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/UserAction.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/impl/UserInfoDaoImpl.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/enterprise.jsp" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/EnterpriseAction.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/js/business/coupon.js" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/CouponAction.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/caseInfoEnter.jsp" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/caseInfo.jsp" />
        <option value="D:/maven/repository/org/json/json/20160810/json-20160810.jar!/org/json/JSONObject.class" />
        <option value="$PROJECT_DIR$/src/main/java/com/util/UtilTools.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/sue.jsp" />
        <option value="$PROJECT_DIR$/src/main/webapp/js/business/sue.js" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/coupon_consume_query.jsp" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/impl/CouponServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/impl/CouponDaoImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/pojo/BaseUser.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/dubh/common/dao/hibernate/BaseDaoHibernate.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/util/RequestUtil.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/login.jsp" />
        <option value="D:/maven/repository/org/apache/httpcomponents/httpcore/4.3.3/httpcore-4.3.3.jar!/org/apache/http/util/TextUtils.class" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/caseInfoRepair.jsp" />
        <option value="$PROJECT_DIR$/src/main/webapp/js/business/caseEnter.js" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/CaseDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/impl/CasesListServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/CasesListService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/CasesAction.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/impl/CaseDaoImpl.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/header.jsp" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/home.jsp" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/caseDetails.jsp" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/footer.jsp" />
        <option value="$PROJECT_DIR$/src/main/webapp/page/caseDetail.jsp" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="D:\maven\repository" />
        <option name="mavenHome" value="D:/maven/apache-maven-3.5.4" />
        <option name="userSettingsFile" value="D:\maven\repository\settings.xml" />
      </MavenGeneralSettings>
    </option>
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand />
      <select />
    </treeState>
  </component>
  <component name="MavenRunner">
    <option name="jreName" value="1.7" />
    <option name="vmOptions" value="-DarchetypeCatalog=internal" />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="17" />
    <option name="y" value="21" />
    <option name="width" value="1142" />
    <option name="height" value="685" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="jlr" type="b2602c69:ProjectViewProjectNode" />
              <item name="JLR-master" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jlr" type="b2602c69:ProjectViewProjectNode" />
              <item name="JLR-master" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jlr" type="b2602c69:ProjectViewProjectNode" />
              <item name="JLR-master" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jlr" type="b2602c69:ProjectViewProjectNode" />
              <item name="JLR-master" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="webapp" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jlr" type="b2602c69:ProjectViewProjectNode" />
              <item name="JLR-master" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="webapp" type="462c0819:PsiDirectoryNode" />
              <item name="page" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scratches" />
      <pane id="PackagesPane" />
      <pane id="AndroidView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="settings.editor.selected.configurable" value="MavenSettings" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="D:/cars/server" />
    <property name="project.structure.last.edited" value="Libraries" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.zhongdao.jlr.business.vo" />
      <recent name="com.zhongdao.jlr.business.dao.impl" />
      <recent name="com.zhongdao.jlr.business.dao" />
      <recent name="com.zhongdao.jlr.business.service.impl" />
      <recent name="com.zhongdao.jlr.business.service" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\JLR\JLR-master\src\main\webapp\page" />
      <recent name="D:\JLR\JLR-master-19f1e7b4858da9a529342c6e8625154c882ae7c4\src\main\webapp\js\business" />
      <recent name="D:\JLR\JLR-master-19f1e7b4858da9a529342c6e8625154c882ae7c4\src\main\webapp\page" />
      <recent name="D:\JLR\JLR-master-19f1e7b4858da9a529342c6e8625154c882ae7c4\src\main\webapp\css" />
      <recent name="D:\JLR\JLR-master-19f1e7b4858da9a529342c6e8625154c882ae7c4\src\main\webapp\page\amap\css" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Tomcat Server.JLR">
    <configuration name="JLR" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 8.5.31" ALTERNATIVE_JRE_ENABLED="false">
      <option name="BROWSER_ID" value="a7bb68e0-33c0-4d6f-a81a-aac1fdb870c8" />
      <option name="COMMON_VM_ARGUMENTS" value="-Dspring.profile.active=&quot;dev&quot;" />
      <option name="UPDATE_ON_FRAME_DEACTIVATION" value="true" />
      <option name="UPDATE_CLASSES_ON_FRAME_DEACTIVATION" value="true" />
      <deployment>
        <artifact name="jlr:war exploded">
          <settings>
            <option name="CONTEXT_PATH" value="/" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_jlr_4" />
      </server-settings>
      <predefined_log_file id="Tomcat" enabled="true" />
      <predefined_log_file id="Tomcat Catalina" enabled="true" />
      <predefined_log_file id="Tomcat Manager" enabled="false" />
      <predefined_log_file id="Tomcat Host Manager" enabled="false" />
      <predefined_log_file id="Tomcat Localhost Access" enabled="false" />
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="64672" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method>
        <option name="BuildArtifacts" enabled="true">
          <artifact name="jlr:war exploded" />
        </option>
      </method>
    </configuration>
    <configuration name="Test" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="MAIN_CLASS_NAME" value="Test" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="jlr" />
      <envs />
    </configuration>
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="HTML_USED" value="false" />
      <option name="WIDTH" value="400" />
      <option name="HEIGHT" value="300" />
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <module />
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" factoryName="Plugin">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file id="idea.log" enabled="true" />
    </configuration>
    <configuration default="true" type="Remote" factoryName="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" value="javadebug" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="ANNOTATION_TYPE" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <envs />
      <properties />
      <listeners />
    </configuration>
    <configuration name="com.zhongdao.jlr.pojo in jlr" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea">
        <pattern>
          <option name="PATTERN" value="com.zhongdao.jlr.pojo.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <module name="jlr" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" value="com.zhongdao.jlr.pojo" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="package" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
    </configuration>
    <list size="3">
      <item index="0" class="java.lang.String" itemvalue="Tomcat Server.JLR" />
      <item index="1" class="java.lang.String" itemvalue="Application.Test" />
      <item index="2" class="java.lang.String" itemvalue="JUnit.com.zhongdao.jlr.pojo in jlr" />
    </list>
    <recent_temporary>
      <list size="2">
        <item index="0" class="java.lang.String" itemvalue="JUnit.com.zhongdao.jlr.pojo in jlr" />
        <item index="1" class="java.lang.String" itemvalue="Application.Test" />
      </list>
    </recent_temporary>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="286df1c9-36cd-4219-b771-4a7f2984929b" name="Default" comment="" />
      <created>1533884729896</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1533884729896</updated>
      <workItem from="1533884731249" duration="260000" />
      <workItem from="1533885031613" duration="6900000" />
      <workItem from="1534120625402" duration="24103000" />
      <workItem from="1534208235478" duration="4906000" />
      <workItem from="1534214460196" duration="44000" />
      <workItem from="1534214894897" duration="15683000" />
      <workItem from="1534235481235" duration="1525000" />
      <workItem from="1534237015520" duration="7124000" />
      <workItem from="1534293809157" duration="5447000" />
      <workItem from="1534302686071" duration="14727000" />
      <workItem from="1534380335835" duration="19586000" />
      <workItem from="1534406705294" duration="243000" />
      <workItem from="1534407104480" duration="6681000" />
      <workItem from="1534467067764" duration="2413000" />
      <workItem from="1534469551188" duration="26973000" />
      <workItem from="1534726545834" duration="25019000" />
      <workItem from="1534813382400" duration="23759000" />
      <workItem from="1534899469017" duration="19068000" />
      <workItem from="1534986320415" duration="650000" />
      <workItem from="1534994868687" duration="87000" />
      <workItem from="1534994988307" duration="478000" />
      <workItem from="1535003217552" duration="619000" />
      <workItem from="1535073398803" duration="18240000" />
      <workItem from="1535332847691" duration="2445000" />
      <workItem from="1535349478012" duration="4006000" />
      <workItem from="1535417807643" duration="1291000" />
      <workItem from="1535445853198" duration="1540000" />
      <workItem from="1535505495903" duration="1176000" />
      <workItem from="1535507232039" duration="4807000" />
      <workItem from="1535591056023" duration="5114000" />
      <workItem from="1535598133847" duration="7052000" />
      <workItem from="1535678378668" duration="6747000" />
      <workItem from="1535694862134" duration="9895000" />
      <workItem from="1535937160214" duration="1839000" />
      <workItem from="1536024177442" duration="13668000" />
      <workItem from="1536110909589" duration="25069000" />
      <workItem from="1536197179358" duration="24485000" />
      <workItem from="1536284371702" duration="26908000" />
      <workItem from="1536540352209" duration="29199000" />
      <workItem from="1536627629320" duration="25031000" />
      <workItem from="1536715670504" duration="23027000" />
      <workItem from="1536799906140" duration="11851000" />
      <workItem from="1536887787990" duration="19813000" />
      <workItem from="1537153328327" duration="11569000" />
      <workItem from="1537169983912" duration="9611000" />
      <workItem from="1537233594564" duration="29062000" />
      <workItem from="1537320327984" duration="23252000" />
      <workItem from="1537405648252" duration="23677000" />
      <workItem from="1537490916534" duration="27403000" />
      <workItem from="1537837893103" duration="23657000" />
      <workItem from="1537923723679" duration="19982000" />
      <workItem from="1538010512603" duration="17393000" />
      <workItem from="1538097218580" duration="19184000" />
      <workItem from="1538184130826" duration="17215000" />
      <workItem from="1538268992649" duration="16674000" />
      <workItem from="1538961146942" duration="14155000" />
      <workItem from="1539050682768" duration="9430000" />
      <workItem from="1539138514621" duration="3032000" />
      <workItem from="1539249997737" duration="470000" />
      <workItem from="1539568380883" duration="18654000" />
      <workItem from="1539654200339" duration="18462000" />
      <workItem from="1539739566199" duration="9231000" />
      <workItem from="1540174466925" duration="2005000" />
      <workItem from="1540435378993" duration="2512000" />
      <workItem from="1540518345414" duration="1376000" />
      <workItem from="1540776057014" duration="636000" />
      <workItem from="1540862528959" duration="50000" />
      <workItem from="1540885323426" duration="1564000" />
      <workItem from="1541053525040" duration="661000" />
      <workItem from="1541136946209" duration="703000" />
      <workItem from="1541381110669" duration="15173000" />
      <workItem from="1541469491705" duration="6623000" />
      <workItem from="1541662710902" duration="2592000" />
      <workItem from="1541731002545" duration="1514000" />
      <workItem from="1541988050803" duration="887000" />
      <workItem from="1542071285987" duration="10232000" />
      <workItem from="1542104885263" duration="176000" />
      <workItem from="1542163974777" duration="2515000" />
      <workItem from="1542266860375" duration="629000" />
      <workItem from="1542590853085" duration="13495000" />
      <workItem from="1542677147951" duration="22239000" />
      <workItem from="1542763435853" duration="14823000" />
      <workItem from="1542849539703" duration="2053000" />
    </task>
    <task id="LOCAL-00001" summary="ceshi">
      <created>1540174575886</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1540174575886</updated>
    </task>
    <task id="LOCAL-00002" summary="JLR1.0">
      <created>1541404760473</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1541404760473</updated>
    </task>
    <task id="LOCAL-00003" summary="JLR1.0">
      <created>1542766952446</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1542766952447</updated>
    </task>
    <task id="LOCAL-00004" summary="JLR1.0">
      <created>1542767322708</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1542767322708</updated>
    </task>
    <task id="LOCAL-00005" summary="JLR1.0">
      <created>1542767331334</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1542767331334</updated>
    </task>
    <task id="LOCAL-00006" summary="JLR1.0">
      <created>1542767957968</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1542767957968</updated>
    </task>
    <option name="localTasksCounter" value="7" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="884069000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Palette" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32933104" sideWeight="0.5060514" order="12" side_tool="true" content_ui="tabs" />
      <window_info id="Application Servers" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32876712" sideWeight="0.5" order="11" side_tool="false" content_ui="tabs" />
      <window_info id="Maven Projects" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32980332" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Tool" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.24962178" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="JSF" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="10" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="UI Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.65924656" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32876712" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32418525" sideWeight="0.5" order="13" side_tool="false" content_ui="tabs" />
      <window_info id="Palette&#9;" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Image Layers" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Java Enterprise" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32876712" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Analysis" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.05488851" sideWeight="0.49394855" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.6689537" sideWeight="0.49394855" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Spring" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32876712" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32876712" sideWeight="0.5" order="10" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.21255673" sideWeight="0.49315068" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Web" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.29198185" sideWeight="0.5068493" order="5" side_tool="true" content_ui="tabs" />
      <window_info id="Theme Preview" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="true" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Documentation" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="FLOATING" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" x="92" y="92" width="1182" height="544" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32761577" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
    <layout-to-restore>
      <window_info id="Palette" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.66952056" sideWeight="0.5060514" order="12" side_tool="true" content_ui="tabs" />
      <window_info id="Application Servers" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32876712" sideWeight="0.5" order="11" side_tool="false" content_ui="tabs" />
      <window_info id="Maven Projects" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32980332" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Tool" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.24962178" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="JSF" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="10" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="UI Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.65924656" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32876712" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32534248" sideWeight="0.5" order="13" side_tool="false" content_ui="tabs" />
      <window_info id="Palette&#9;" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Image Layers" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Java Enterprise" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32876712" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Analysis" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Documentation" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="FLOATING" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" x="92" y="92" width="1182" height="544" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="false" weight="0.33" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.66952056" sideWeight="0.49394855" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Spring" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32876712" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32876712" sideWeight="0.5" order="10" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.25340393" sideWeight="0.49315068" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Web" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.29198185" sideWeight="0.5068493" order="5" side_tool="true" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32876712" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Theme Preview" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="true" content_ui="tabs" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="ceshi" />
    <MESSAGE value="JLR1.0" />
    <option name="LAST_COMMIT_MESSAGE" value="JLR1.0" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/impl/CouponDaoImpl.java</url>
          <line>126</line>
          <properties />
          <option name="timeStamp" value="4" />
        </line-breakpoint>
      </breakpoints>
      <option name="time" value="26" />
    </breakpoint-manager>
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/dubh/common/dao/Dao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="185">
          <caret line="10" column="17" lean-forward="false" selection-start-line="10" selection-start-column="17" selection-end-line="10" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/impl/EnterpriseDaoImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1188">
          <caret line="103" column="13" lean-forward="false" selection-start-line="103" selection-start-column="13" selection-end-line="103" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/util/Vo.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="6" column="13" lean-forward="false" selection-start-line="6" selection-start-column="13" selection-end-line="6" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/impl/CouponServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3740">
          <caret line="200" column="19" lean-forward="false" selection-start-line="200" selection-start-column="19" selection-end-line="200" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/util/UtilTools.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3894">
          <caret line="212" column="56" lean-forward="false" selection-start-line="212" selection-start-column="56" selection-end-line="212" selection-end-column="56" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/CouponAction.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5654">
          <caret line="273" column="24" lean-forward="false" selection-start-line="268" selection-start-column="8" selection-end-line="273" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/dubh/common/dao/hibernate/BaseDaoHibernate.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="10098">
          <caret line="473" column="53" lean-forward="false" selection-start-line="473" selection-start-column="53" selection-end-line="473" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/common.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="11" column="0" lean-forward="false" selection-start-line="11" selection-start-column="0" selection-end-line="11" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/404.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/500.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="10" column="7" lean-forward="true" selection-start-line="10" selection-start-column="7" selection-end-line="10" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/EnterpriseAction.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="22">
          <caret line="18" column="24" lean-forward="false" selection-start-line="18" selection-start-column="24" selection-end-line="18" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.project">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/WEB-INF/web.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="396">
          <caret line="18" column="23" lean-forward="false" selection-start-line="18" selection-start-column="23" selection-end-line="18" selection-end-column="23" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/index.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="10" column="4" lean-forward="false" selection-start-line="10" selection-start-column="4" selection-end-line="10" selection-end-column="4" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/login.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3806">
          <caret line="173" column="55" lean-forward="false" selection-start-line="173" selection-start-column="55" selection-end-line="173" selection-end-column="55" />
          <folding>
            <marker date="1542075629910" expanded="true" signature="1311:1423" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/maven/repository/org/apache/httpcomponents/httpcore/4.3.3/httpcore-4.3.3.jar!/org/apache/http/util/TextUtils.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="17" column="5" lean-forward="true" selection-start-line="11" selection-start-column="4" selection-end-line="17" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/util/RequestUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="18348">
          <caret line="859" column="25" lean-forward="false" selection-start-line="859" selection-start-column="25" selection-end-line="859" selection-end-column="25" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/BaseAction.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="770">
          <caret line="48" column="33" lean-forward="false" selection-start-line="48" selection-start-column="33" selection-end-line="48" selection-end-column="33" />
          <folding>
            <element signature="imports" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/BaseDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="11" column="17" lean-forward="false" selection-start-line="11" selection-start-column="17" selection-end-line="11" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/impl/BaseDaoImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="17" column="13" lean-forward="false" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/listener/AutoRunServlet.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="7" column="14" lean-forward="false" selection-start-line="7" selection-start-column="14" selection-end-line="7" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/listener/StartupListener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="24" column="13" lean-forward="false" selection-start-line="24" selection-start-column="13" selection-end-line="24" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/UserInfoService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="13" column="17" lean-forward="false" selection-start-line="13" selection-start-column="17" selection-end-line="13" selection-end-column="17" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/impl/UserInfoServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="594">
          <caret line="45" column="29" lean-forward="false" selection-start-line="45" selection-start-column="29" selection-end-line="45" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/BaseService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="16" column="15" lean-forward="false" selection-start-line="16" selection-start-column="15" selection-end-line="16" selection-end-column="15" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/impl/EnterpriseServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="66" column="96" lean-forward="false" selection-start-line="66" selection-start-column="45" selection-end-line="66" selection-end-column="96" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/JDK/lib/tools.jar!/com/sun/tools/script/shell/init.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="185">
          <caret line="828" column="9" lean-forward="false" selection-start-line="828" selection-start-column="9" selection-end-line="828" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/JavaScriptLanguage/lib/JavaScriptLanguage.jar!/com/intellij/lang/javascript/index/predefined/EcmaScript5.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="185">
          <caret line="191" column="0" lean-forward="false" selection-start-line="191" selection-start-column="0" selection-end-line="191" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/JavaScriptLanguage/lib/JavaScriptLanguage.jar!/com/intellij/lang/javascript/index/predefined/EcmaScript.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="185">
          <caret line="197" column="0" lean-forward="false" selection-start-line="197" selection-start-column="0" selection-end-line="197" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/js/easyloader.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-145">
          <caret line="10" column="157" lean-forward="false" selection-start-line="10" selection-start-column="157" selection-end-line="10" selection-end-column="157" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/caseInfoRepair.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1351">
          <caret line="42" column="13" lean-forward="false" selection-start-line="42" selection-start-column="13" selection-end-line="42" selection-end-column="13" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/caseInfo.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="70" column="33" lean-forward="false" selection-start-line="70" selection-start-column="4" selection-end-line="70" selection-end-column="33" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/caseInfoEnter.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="42" column="62" lean-forward="false" selection-start-line="42" selection-start-column="25" selection-end-line="42" selection-end-column="62" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/CasesListService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="177">
          <caret line="40" column="7" lean-forward="false" selection-start-line="40" selection-start-column="7" selection-end-line="40" selection-end-column="7" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/impl/CasesListServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="199">
          <caret line="48" column="27" lean-forward="true" selection-start-line="48" selection-start-column="27" selection-end-line="48" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/CaseDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="660">
          <caret line="36" column="7" lean-forward="false" selection-start-line="36" selection-start-column="7" selection-end-line="36" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/dao/impl/CaseDaoImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6160">
          <caret line="295" column="13" lean-forward="false" selection-start-line="295" selection-start-column="13" selection-end-line="295" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/js/business/supplier.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-5610">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/supplier.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="10" column="68" lean-forward="false" selection-start-line="10" selection-start-column="68" selection-end-line="10" selection-end-column="68" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/CasesAction.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2288">
          <caret line="117" column="70" lean-forward="false" selection-start-line="117" selection-start-column="70" selection-end-line="117" selection-end-column="70" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/js/business/caseEnter.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="69" column="25" lean-forward="false" selection-start-line="69" selection-start-column="25" selection-end-line="69" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/action/RoleAction.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="91">
          <caret line="127" column="34" lean-forward="false" selection-start-line="127" selection-start-column="30" selection-end-line="127" selection-end-column="34" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/home1.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/topMenu.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="2" column="34" lean-forward="false" selection-start-line="2" selection-start-column="24" selection-end-line="2" selection-end-column="34" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/header.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1782">
          <caret line="90" column="36" lean-forward="false" selection-start-line="90" selection-start-column="5" selection-end-line="90" selection-end-column="36" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/home.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2882">
          <caret line="140" column="39" lean-forward="false" selection-start-line="140" selection-start-column="39" selection-end-line="140" selection-end-column="39" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zhongdao/jlr/business/service/impl/BaseServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="22">
          <caret line="49" column="56" lean-forward="false" selection-start-line="49" selection-start-column="47" selection-end-line="49" selection-end-column="56" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/footer.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="157">
          <caret line="24" column="24" lean-forward="false" selection-start-line="24" selection-start-column="24" selection-end-line="24" selection-end-column="24" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/footers.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2508">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/caseDetails.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="165" column="37" lean-forward="true" selection-start-line="159" selection-start-column="36" selection-end-line="165" selection-end-column="37" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/page/caseDetail.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="146">
          <caret line="258" column="46" lean-forward="false" selection-start-line="258" selection-start-column="37" selection-end-line="258" selection-end-column="46" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <last-edited>jlr:war</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.5" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>Spring</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.7</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>jlr</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.7</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: antlr:antlr:2.7.7</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>